org.eclipse.actf.ui.util

## Class ImageUtil

- java.lang.Object
- - org.eclipse.actf.ui.util.ImageUtil

    public class ImageUtil
    extends Object

Utility class to save `Image` into file.

### Constructor Summary

Constructors
Constructor and Description
`ImageUtil()`

### Method Summary

Methods
`static boolean` `saveImageToFile(org.eclipse.swt.graphics.Image image, String savePath, int format)` Save target `Image` to file.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageUtil

    public ImageUtil()

### Method Detail

#### saveImageToFile

    public static boolean saveImageToFile(org.eclipse.swt.graphics.Image image,
                          String savePath,
                          int format)

Save target `Image` to file.

Parameters:
  `image` - target Image to save
  `savePath` - target path in String format
  `format` - this parameter can have one of the format type defined at `SWT`
Returns:
  true if succeeded
See Also:
  `ImageLoader.save(java.io.OutputStream, int)`